clang-tools 10.0.0

Namespaces | Macros | Functions | Variables
CanonicalIncludes.cpp File Reference
`#include "CanonicalIncludes.h"`
`#include "Headers.h"`
`#include "clang/Driver/Types.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Path.h"`
`#include <algorithm>`
`#include "StdSymbolMap.inc"`
`#include "CSymbolMap.inc"`
Include dependency graph for CanonicalIncludes.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Macros
#define | SYMBOL(Name, NameSpace, Header) {#NameSpace #Name, #Header},
#define | SYMBOL(Name, NameSpace, Header) {#Name, #Header},

## Functions
std::unique_ptr< CommentHandler > | clang::clangd::collectIWYUHeaderMaps (CanonicalIncludes *Includes)
| Returns a CommentHandler that parses pragma comment on include files to determine when we should include a different header from the header that directly defines a symbol. More...

## Variables
constexpr int | clang::clangd::MaxSuffixComponents = 3
| The maximum number of path components in a key from StdSuffixHeaderMapping. More...

## Macro Definition Documentation

## ◆ SYMBOL [1/2]

#define SYMBOL | ( |  | Name,
|  |  | NameSpace,
|  |  | Header
| ) |  | {#NameSpace #Name, #Header},

## ◆ SYMBOL [2/2]

#define SYMBOL | ( |  | Name,
|  |  | NameSpace,
|  |  | Header
| ) |  | {#Name, #Header},